Debian Bug report logs - #562486
linux-2.6: please enable tomoyo

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Filippo Giunchedi <filippo@debian.org>

Date: Thu, 24 Dec 2009 18:36:01 UTC

Severity: wishlist

Tags: pending

Fixed in version linux-2.6/2.6.32-13

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Thu, 24 Dec 2009 18:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Dec 2009 18:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: please enable tomoyo
Date: Thu, 24 Dec 2009 19:33:11 +0100
Package: linux-2.6
Severity: wishlist

Hi,
it would be nice to have tomoyo enabled, userspace tools are in the archive
already.

thanks,
filippo

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Fri, 25 Dec 2009 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 Dec 2009 12:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 562486@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 562486@bugs.debian.org
Subject: Re: Bug#562486: linux-2.6: please enable tomoyo
Date: Fri, 25 Dec 2009 13:01:20 +0100
[Message part 1 (text/plain, inline)]
On Dec 24, Filippo Giunchedi <filippo@debian.org> wrote:

> it would be nice to have tomoyo enabled, userspace tools are in the archive
> already.
Agreed, I really look forward to try it.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Sun, 03 Jan 2010 10:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hideki Yamane \(Debian-JP\)" <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Jan 2010 10:57:05 GMT) Full text and rfc822 format available.

Message #15 received at 562486@bugs.debian.org (full text, mbox):

From: "Hideki Yamane \(Debian-JP\)" <henrich@debian.or.jp>
To: Debian Bug Tracking System <562486@bugs.debian.org>
Subject: Re: please enable tomoyo
Date: Sun, 03 Jan 2010 19:53:11 +0900
Package: linux-2.6

Hi,

On Dec 24, Filippo Giunchedi <filippo@debian.org> wrote:
> it would be nice to have tomoyo enabled, userspace tools are in the archive
> already.

 To make tomoyo enabled is nice but userspace tool is not in the arhice yet ;)

 tomoyo-ccstools is for tomoyo patched version, it's not exactly same as 
 included in mainline kernel. If you want to use tomoyo without patch, you
 should also use tomoyo-tools.
 see also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536347

 Anyway, enabling tomoyo in linux-2.6 packages is good, I think.

-- 
Regards,

 Hideki Yamane




Added blocking bug(s) of 562486: 536347 Request was from Filippo Giunchedi <filippo@debian.org> to control@bugs.debian.org. (Mon, 04 Jan 2010 11:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Thu, 04 Feb 2010 23:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Feb 2010 23:48:07 GMT) Full text and rfc822 format available.

Message #22 received at 562486@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: "Hideki Yamane (Debian-JP)" <henrich@debian.or.jp>
Cc: Debian Bug Tracking System <562486@bugs.debian.org>
Subject: Re: please enable tomoyo
Date: Fri, 5 Feb 2010 00:44:09 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 03, 2010 at 07:53:11PM +0900, Hideki Yamane (Debian-JP) wrote:
> Package: linux-2.6
> 
> Hi,
> 
> On Dec 24, Filippo Giunchedi <filippo@debian.org> wrote:
> > it would be nice to have tomoyo enabled, userspace tools are in the archive
> > already.
> 
>  To make tomoyo enabled is nice but userspace tool is not in the arhice yet ;)
> 
>  tomoyo-ccstools is for tomoyo patched version, it's not exactly same as 
>  included in mainline kernel. If you want to use tomoyo without patch, you
>  should also use tomoyo-tools.
>  see also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536347
> 
>  Anyway, enabling tomoyo in linux-2.6 packages is good, I think.

The upstream developer (Tetsuo Handa, quoted with permission) provided me
with information on the performance impact of enabling TOMOYO. Personally
the performance impact seems acceptable to me. Opinions?

OTOH enabling it for Squeeze doesn't make much sense if we don't yet have
compatible user space tools.

Cheers,
        Moritz

> CONFIG_SECURITY_PATH option adds hooks for only unlink(), mkdir(), rmdir(),
> mknod(), truncate(), symlink(), link(), rename() operations (changes are shown
> in the next paragraph). Other operations such as open(), read(), write() etc.
> are already hooked by CONFIG_SECURITY option (which is is needed by SELinux).
> People know that frequency of syscalls hooked by CONFIG_SECURITY option (i.e.
> open(), read(), write() etc.) are much higher than frequency of syscalls hooked
> by CONFIG_SECURITY_PATH (i.e. unlink(), mkdir(), rmdir(), mknod(), truncate(),
> symlink(), link(), rename()). Therefore, people won't recognize performance
> loss by enabling CONFIG_SECURITY_PATH option.
>
> If we enable CONFIG_SECURITY_PATH option, below changes occur.
>
> static inline int security_path_unlink(struct path *dir, struct dentry *dentry)
> {
>       return 0;
> }
>
> is replaced by
>
> int security_path_unlink(struct path *path, struct dentry *dentry)
> {
>       if (unlikely(IS_PRIVATE(path->dentry->d_inode)))
>               return 0;
>       return security_ops->path_unlink(path, dentry);
> }
>
> and security_ops->path_unlink() calls below function.
>
> static int cap_path_unlink(struct path *dir, struct dentry *dentry)
> {
>       return 0;
> }
>
> static inline int security_path_mkdir(struct path *dir, struct dentry *dentry,
>                                     int mode)
> {
>       return 0;
> }
>
> is replaced by
>
> int security_path_mkdir(struct path *path, struct dentry *dentry, int mode)
> {
>       if (unlikely(IS_PRIVATE(path->dentry->d_inode)))
>               return 0;
>       return security_ops->path_mkdir(path, dentry, mode);
> }
>
> and security_ops->path_mkdir() calls below function.
>
> static int cap_path_mkdir(struct path *dir, struct dentry *dentry, int mode)
> {
>       return 0;
> }
>
> static inline int security_path_rmdir(struct path *dir, struct dentry *dentry)
> {
>       return 0;
> }
>
> is replaced by
>
> int security_path_rmdir(struct path *path, struct dentry *dentry)
> {
>       if (unlikely(IS_PRIVATE(path->dentry->d_inode)))
>               return 0;
>       return security_ops->path_rmdir(path, dentry);
> }
>
> and security_ops->path_rmdir() calls below function.
>
> static int cap_path_rmdir(struct path *dir, struct dentry *dentry)
> {
>       return 0;
> }
>
> static inline int security_path_mknod(struct path *dir, struct dentry *dentry,
>                                     int mode, unsigned int dev)
> {
>       return 0;
> }
>
> is replaced by
> int security_path_mknod(struct path *path, struct dentry *dentry, int mode,
>                       unsigned int dev)
> {
>       if (unlikely(IS_PRIVATE(path->dentry->d_inode)))
>               return 0;
>       return security_ops->path_mknod(path, dentry, mode, dev);
> }
>
> and security_ops->path_mknod() calls below function.
>
> static int cap_path_mknod(struct path *dir, struct dentry *dentry, int mode,
>                         unsigned int dev)
> {
>       return 0;
> }
>
> static inline int security_path_truncate(struct path *path, loff_t length,
>                                        unsigned int time_attrs)
> {
>       return 0;
> }
>
> is replaced by
>
> int security_path_truncate(struct path *path, loff_t length,
>                          unsigned int time_attrs)
> {
>       if (unlikely(IS_PRIVATE(path->dentry->d_inode)))
>               return 0;
>       return security_ops->path_truncate(path, length, time_attrs);
> }
>
> and security_ops->path_truncate() calls below function.
>
> static int cap_path_truncate(struct path *path, loff_t length,
>                            unsigned int time_attrs)
> {
>       return 0;
> }
>
> static inline int security_path_symlink(struct path *dir, struct dentry *dentry,
>                                       const char *old_name)
> {
>       return 0;
> }
>
> is replaced by
>
> int security_path_symlink(struct path *path, struct dentry *dentry,
>                         const char *old_name)
> {
>       if (unlikely(IS_PRIVATE(path->dentry->d_inode)))
>               return 0;
>       return security_ops->path_symlink(path, dentry, old_name);
> }
>
> and security_ops->path_symlink() calls below function.
>
> static int cap_path_symlink(struct path *dir, struct dentry *dentry,
>                           const char *old_name)
> {
>       return 0;
> }
>
> static inline int security_path_link(struct dentry *old_dentry,
>                                    struct path *new_dir,
>                                    struct dentry *new_dentry)
> {
>       return 0;
> }
>
> is replaced by
>
> int security_path_link(struct dentry *old_dentry, struct path *new_dir,
>                      struct dentry *new_dentry)
> {
>       if (unlikely(IS_PRIVATE(old_dentry->d_inode)))
>               return 0;
>       return security_ops->path_link(old_dentry, new_dir, new_dentry);
> }
>
> and security_ops->path_link() calls below function.
>
> static int cap_path_link(struct dentry *old_dentry, struct path *new_dir,
>                        struct dentry *new_dentry)
> {
>       return 0;
> }
>
> static inline int security_path_rename(struct path *old_dir,
>                                      struct dentry *old_dentry,
>                                      struct path *new_dir,
>                                      struct dentry *new_dentry)
> {
>       return 0;
> }
>
> is replaced by
>
> int security_path_rename(struct path *old_dir, struct dentry *old_dentry,
>                        struct path *new_dir, struct dentry *new_dentry)
> {
>       if (unlikely(IS_PRIVATE(old_dentry->d_inode) ||
>                    (new_dentry->d_inode && IS_PRIVATE(new_dentry->d_inode))))
>               return 0;
>       return security_ops->path_rename(old_dir, old_dentry, new_dir,
>                                        new_dentry);
> }
>
> and security_ops->path_rename() calls below function.
>
> static int cap_path_rename(struct path *old_path, struct dentry *old_dentry,
>                          struct path *new_path, struct dentry *new_dentry)
> {
>       return 0;
> }
>
> They are all simple and fast enough.
>
> According to lmbench, performance loss by enabling CONFIG_SECURITY_PATH is
> within plus/minus 2%.
>
> Action        0K File Create latency  0K File Delete latency  10K File Create latency 10K File Delete latency
> CONFIG_SECURITY_PATH=n        7.94163 6.49248 21.4    11.26
> CONFIG_SECURITY_PATH=y        8.01121 6.52031 21.38   11.11
> Overhead(%)   0.876142555     0.428649761     -0.093457944    -1.332149201
>
> Raw data with kernel config and summary graph are attached.

[lmbench-hdd.tar.gz (application/octet-stream, attachment)]
[lmbench-tmpfs.tar.gz (application/octet-stream, attachment)]
[lmbench.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Fri, 05 Feb 2010 00:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Feb 2010 00:39:07 GMT) Full text and rfc822 format available.

Message #27 received at 562486@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Moritz Muehlenhoff <jmm@inutil.org>, 562486@bugs.debian.org
Cc: "Hideki Yamane (Debian-JP)" <henrich@debian.or.jp>
Subject: Re: Bug#562486: please enable tomoyo
Date: Fri, 5 Feb 2010 01:00:47 +0100
[Message part 1 (text/plain, inline)]
On Feb 05, Moritz Muehlenhoff <jmm@inutil.org> wrote:

> OTOH enabling it for Squeeze doesn't make much sense if we don't yet have
> compatible user space tools.
It would still make sense (if the current kernel really has all the
features needed) because backporting and keeping up to date any
userspace package is much easier than backporting (or just rebuilding
with a different configuration) a Debian kernel package.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Sun, 14 Feb 2010 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Feb 2010 21:42:03 GMT) Full text and rfc822 format available.

Message #32 received at 562486@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Debian Bug Tracking System <562486@bugs.debian.org>
Subject: Re: please enable tomoyo
Date: Mon, 15 Feb 2010 06:37:14 +0900
Hi,

On Fri, 5 Feb 2010 00:44:09 +0100
Moritz Muehlenhoff <jmm@inutil.org> wrote:
> OTOH enabling it for Squeeze doesn't make much sense if we don't yet have
> compatible user space tools.

 And I've prepared tomoyo-tools package for that.
 dget http://mentors.debian.net/debian/pool/main/t/tomoyo-tools/tomoyo-tools_2.2.0-20090727-1.dsc

 However, I don't want to maintain it alone, so someone follow me or take
 it over is welcome.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Sun, 14 Feb 2010 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Feb 2010 22:00:03 GMT) Full text and rfc822 format available.

Message #37 received at 562486@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: "Hideki Yamane (Debian-JP)" <henrich@debian.or.jp>, Debian Bug Tracking System <562486@bugs.debian.org>
Subject: Re: please enable tomoyo
Date: Sun, 14 Feb 2010 22:56:10 +0100
On Fri, Feb 05, 2010 at 12:44:09AM +0100, Moritz Muehlenhoff wrote:
> On Sun, Jan 03, 2010 at 07:53:11PM +0900, Hideki Yamane (Debian-JP) wrote:
> > Package: linux-2.6
> > 
> > Hi,
> > 
> > On Dec 24, Filippo Giunchedi <filippo@debian.org> wrote:
> > > it would be nice to have tomoyo enabled, userspace tools are in the archive
> > > already.
> > 
> >  To make tomoyo enabled is nice but userspace tool is not in the arhice yet ;)
> > 
> >  tomoyo-ccstools is for tomoyo patched version, it's not exactly same as 
> >  included in mainline kernel. If you want to use tomoyo without patch, you
> >  should also use tomoyo-tools.
> >  see also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536347
> > 
> >  Anyway, enabling tomoyo in linux-2.6 packages is good, I think.
> 
> The upstream developer (Tetsuo Handa, quoted with permission) provided me
> with information on the performance impact of enabling TOMOYO. Personally
> the performance impact seems acceptable to me. Opinions?

I'll enable tomoyo next weekend unless further objections arise.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Mon, 15 Feb 2010 07:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Feb 2010 07:57:05 GMT) Full text and rfc822 format available.

Message #42 received at 562486@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 562486@bugs.debian.org
Cc: "Hideki Yamane (Debian-JP)" <henrich@debian.or.jp>
Subject: Re: Bug#562486: please enable tomoyo
Date: Mon, 15 Feb 2010 08:54:59 +0100
On Sun, Feb 14, 2010 at 10:56:10PM +0100, Moritz Muehlenhoff wrote:
> I'll enable tomoyo next weekend unless further objections arise.

It can't be built as a module, so you have to check space constraints.

Bastian

-- 
Every living thing wants to survive.
		-- Spock, "The Ultimate Computer", stardate 4731.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Wed, 24 Feb 2010 22:03:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Feb 2010 22:03:17 GMT) Full text and rfc822 format available.

Message #47 received at 562486@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Bastian Blank <waldi@debian.org>
Cc: 562486@bugs.debian.org, "Hideki Yamane (Debian-JP)" <henrich@debian.or.jp>
Subject: Re: Bug#562486: please enable tomoyo
Date: Wed, 24 Feb 2010 22:58:32 +0100
On Mon, Feb 15, 2010 at 08:54:59AM +0100, Bastian Blank wrote:
> On Sun, Feb 14, 2010 at 10:56:10PM +0100, Moritz Muehlenhoff wrote:
> > I'll enable tomoyo next weekend unless further objections arise.
> 
> It can't be built as a module, so you have to check space constraints.

What constraints specifically are you referring to?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#562486; Package linux-2.6. (Sun, 04 Apr 2010 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Apr 2010 05:21:03 GMT) Full text and rfc822 format available.

Message #52 received at 562486@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Bastian Blank <waldi@debian.org>, 562486@bugs.debian.org
Subject: Re: Bug#562486: please enable tomoyo
Date: Sun, 4 Apr 2010 13:46:34 +0900
Hi,

On Wed, 24 Feb 2010 22:58:32 +0100
Moritz Muehlenhoff <jmm@inutil.org> wrote:
> On Mon, Feb 15, 2010 at 08:54:59AM +0100, Bastian Blank wrote:
> > On Sun, Feb 14, 2010 at 10:56:10PM +0100, Moritz Muehlenhoff wrote:
> > > I'll enable tomoyo next weekend unless further objections arise.
> > 
> > It can't be built as a module, so you have to check space constraints.
> 
> What constraints specifically are you referring to?

 Just a ping :)
 Is there any progress with this, or do we need more discussion?
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Added tag(s) pending. Request was from Moritz Muehlenhoff <jmm@alioth.debian.org> to control@bugs.debian.org. (Wed, 05 May 2010 21:45:11 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 14:24:21 GMT) Full text and rfc822 format available.

Notification sent to Filippo Giunchedi <filippo@debian.org>:
Bug acknowledged by developer. (Tue, 18 May 2010 14:24:21 GMT) Full text and rfc822 format available.

Message #59 received at 562486-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 562486-close@bugs.debian.org
Subject: Bug#562486: fixed in linux-2.6 2.6.32-13
Date: Tue, 18 May 2010 14:22:56 +0000
Source: linux-2.6
Source-Version: 2.6.32-13

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-13_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-13_all.deb
linux-2.6_2.6.32-13.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-13.diff.gz
linux-2.6_2.6.32-13.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-13.dsc
linux-base_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-13_all.deb
linux-doc-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-13_all.deb
linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
linux-libc-dev_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-13_amd64.deb
linux-manual-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-13_all.deb
linux-patch-debian-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-13_all.deb
linux-source-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-13_all.deb
linux-support-2.6.32-5_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-13_all.deb
xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562486@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 May 2010 15:29:27 +0200
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64 linux-image-2.6.32-5-xen-amd64-dbg
 xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg
 linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x
 linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x
 linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-all-sparc64
Architecture: source all amd64
Version: 2.6.32-13
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs
Closes: 365349 407217 466977 548090 562486 566522 572618 572842 573007 575207 575223 577227 578129 578349 578994 579019 579234 579268 579308 579763 579864 580467 580538 580602 580652 580710 580740 580799 580855 580915 581392 581399
Changes: 
 linux-2.6 (2.6.32-13) unstable; urgency=low
 .
   [ Frederik Schueler ]
   * sparc: Fix use of uid16_t and gid16_t in asm/stat.h
 .
   [ Moritz Muehlenhoff ]
   * Enable tomoyo (Closes: #562486)
 .
   [ maximilian attems]
   * backport KVM: x86: Extend KVM_SET_VCPU_EVENTS with selective updates.
     (closes: #580652)
   * KEYS: find_keyring_by_name() can gain access to a freed keyring.
     CVE-2010-1437
   * hppa, sparc, powerpc disable BLK_DEV_CMD64X.
   * topconfig enable PATA_CMD64X. (closes: #580799)
   * x86: Disable CRYPTO_AES_NI_INTEL as it causes boot failures on T410.
   * Add stable 2.6.32.13:
     - [SCSI] Enable retries for SYNCRONIZE_CACHE commands to fix I/O error.
     - [SCSI] Retry commands with UNIT_ATTENTION sense codes to fix ext3/ext4
       I/O errors.
     - [SCSI] skip sense logging for some ATA PASS-THROUGH cdbs
       (Closes: #578129)
     - raid6: fix recovery performance regression.
     - raid456: Enable error-correction on singly-degraded RAID6
       (Closes: #581392)
     - r8169: fix broken register writes (Closes: #407217, #573007)
     - V4L/DVB: budget: Fix crash in case of failure to attach frontend
       (Closes: #575207)
   * drm/edid: Fix 1024x768@85Hz.
 .
   [ Ben Hutchings ]
   * linux-base: Fix typo in disk relabelling code (Closes: #580467)
   * linux-base: Don't quote boot device name in elilo.conf
     (Closes: #580710; works-around: #581173)
   * rtl8192su: Add IDs for several more devices (Closes: #580740)
   * Add drm and sfc changes from stable 2.6.33.4
   * Improve workaround for HPAs (Host Protected Areas) overlapping
     partitions, thanks to Tejun Heo:
     - SCSI/libata: Disable HPA if it overlaps a partition (Closes: #572618)
     - buffer: Make invalidate_bdev() drain all percpu LRU add caches
     - block: Rescan partition tables after HPA is disabled
     - libata: Disable HPA if it is only enabled after suspend
   * V4L/DVB: budget: Select correct frontend drivers (Closes: #575223)
   * 3c503: Fix IRQ probing (Closes: #566522)
   * sis-agp: Remove SIS 760, handled by amd64-agp
   * amd64-agp: Probe unknown AGP devices the right way (Closes: #548090)
 .
   [ Aurelien Jarno ]
   * mips/swarm: fix boot from IDE based media (Sebastian Andrzej Siewior)
     (closes: #466977).
   * backport mips/swarm: fix M3 TLB exception handler.
   * backport MIPS FPU emulator: allow Cause bits of FCSR to be writeable
     by ctc1. (closes: #580602).
   * mips/swarm: enable adm* hwmon drivers.
   * backport Input: Add support of Synaptics Clickpad device (Closes: #572842)
 .
   [ Bastian Blank ]
   * Fix symlinks in several packages.
   * Update Xen patch.
   * [amd64, i386/{686-bigmem,openvz-686,vserver-686-bigmem,xen-686}]
     Build debugging symbols. (closes: #365349)
   * Ignore crypto ABI changes.
 .
   [ Martin Michlmayr ]
   * Backport GuruPlug support.
 .
   [ Christian Perrier ]
   * Update debconf templates:
     - English revised by the debian-l10n-english team as part of the Smith
       review project (Closes: #578349)
     - Vietnamese (Clytie Siddall) (Closes: #579234)
     - German (Holger Wansing) (Closes: #579864)
     - Russian (Yuri Kozlov) (Closes: #578994)
     - Estonian (mihkel) (Closes: #579019)
     - Czech (Michal Simunek) (Closes: #579268)
     - Swedish (Martin Bagge) (Closes: #579308)
     - French (David Prévot) (Closes: #579763)
     - Spanish (Omar Campagne) (Closes: #580538)
     - Portuguese (Américo Monteiro) (Closes: #577227)
     - Japanese (Kenshi Muto) (Closes: #580855)
     - Danish (Joe Hansen) (Closes: #580915)
     - Czech (Michal Simunek) (Closes: #581399)
Checksums-Sha1: 
 e1ed0b1eeec235e2ca7a54c8d3032afc5ab4f4d2 6276 linux-2.6_2.6.32-13.dsc
 da5b6a00958bd1fa4612cb70b8fcbb5acb79fd70 8631684 linux-2.6_2.6.32-13.diff.gz
 5ea809a472ee295dbe7f251639af76d65cab7d94 6033068 linux-doc-2.6.32_2.6.32-13_all.deb
 27d468cef4ebce58156dbc6c78e85bf3836e37d0 2706044 linux-manual-2.6.32_2.6.32-13_all.deb
 dbac1231be53e8e140d782b7d13b4815f27d185e 2801400 linux-patch-debian-2.6.32_2.6.32-13_all.deb
 a8724b803f09d7743dec97685d987ffa31247109 64339944 linux-source-2.6.32_2.6.32-13_all.deb
 906432f95cf551354e4a7c4b50c6800afeeef0ff 143778 linux-support-2.6.32-5_2.6.32-13_all.deb
 ea5c5a2ec96b9d84523921c005b564fcae23922b 132758 firmware-linux-free_2.6.32-13_all.deb
 35fecd3de76bb4c3ffa3b0a9c391ce343bdf2ade 148448 linux-base_2.6.32-13_all.deb
 fced13263b0c7ffb3ee793f682f410230e52ca32 28261390 linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 f2ce1f4192a65e9f38589d1cd5c4463ab84aa3c0 371532144 linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 d74224ef2e50ca961ae2ea5ffe641df673b75487 506076 linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 ca243b82715bad7aff455d3b98b36efe7e46abd3 3878134 linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 af0f75989ca0884af908a419b2747f71a050cc8c 28405666 linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 80e7bfb2a0e639be840d3313a3c2f11cd517406e 438944014 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 26bf2b2edf8708b0e6dd10d92bfc6a69f6772820 532292 linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 837969631f374d1b8254b920824ebf328d106615 3929800 linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 7318f041b324f2f37aa2d55f5e187b24fee90b5c 127764 linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 dde5d00a2bc48fce20974686cd45554ec8437848 127792 linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 bc958989b130a4dd88eb10624e5ec9b40488795d 824320 linux-libc-dev_2.6.32-13_amd64.deb
 ec99d04739622b11f220f53c161c85fc85ced4d9 28320798 linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 63b6c3577bad041a4d19b631dca3992aa848702a 380616050 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 ef7a2425d0e9ebaa22155a89923b6d71e4116834 507398 linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 3244dc91eade6da2a177ee3bb21f1b7c85661bea 3911184 linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 2645d15a71d79bee6169360051410a6f5e7fbcef 28358824 linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 2cc483fb3c45b8fc98cd4331059e27ec3b854599 373481778 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 1e08964c76b955d040fd514dfc3403028d022fa8 508276 linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 61357144c23aa6094b00b7a5a1b3fadb9f8d3c2e 127760 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 a5458ea8bb43b1ebbaa6eb52e49ff0b6bdd43b66 3899120 linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
Checksums-Sha256: 
 952edb6ccfc90156e7e93079893fd6898c40fa89704787cf6f0f18a0017ed4c9 6276 linux-2.6_2.6.32-13.dsc
 c84d22c7819b210b444f6a8105fe5fbda0d2ad6245872c5a15a3c6e0b4eec377 8631684 linux-2.6_2.6.32-13.diff.gz
 8e7ed9832432a7073ddb1eabdf94228ea8186416d0c3ce4cdfda027d5a77f6ff 6033068 linux-doc-2.6.32_2.6.32-13_all.deb
 1b62d4e494186a5e631e5d1afa3d3f77542f821575e075e7ce7497f4c95dc714 2706044 linux-manual-2.6.32_2.6.32-13_all.deb
 06fcc56f96e765ff767b18948fb895bd3d4edecb99491e4d1f31bd2e0259bd49 2801400 linux-patch-debian-2.6.32_2.6.32-13_all.deb
 54663d1ae8547f79bc9ff42775d50296fbfb8cfb1adaeb4d73e11fc6704ada8a 64339944 linux-source-2.6.32_2.6.32-13_all.deb
 2f9744bbbae808c2c028912d51e9657d171163fb0162cbc9d40c623fd4fb699e 143778 linux-support-2.6.32-5_2.6.32-13_all.deb
 b2e7ccf1bb7ddf48184f0d60b055ed65aed4fdbf9426e9bee79209da82ca7915 132758 firmware-linux-free_2.6.32-13_all.deb
 a3640f2e362e1495fa0258ee12cf37e7984ba50ff39e14d3109b58523abf8bca 148448 linux-base_2.6.32-13_all.deb
 35031e0eb6caf884511fe5a7aabc859da41f475179b3ffbf491a104119f403a4 28261390 linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 4bf9d971b82265d5d8d03aa43e3bfad62bb46c808b4e1acfb76a3f6759f8d787 371532144 linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 a0fdb50f75b43e3121a9fd9cb850e9716934e133bcc953d46f946a0e386a5908 506076 linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 bfd87765c5d04b9a5e631d83a991ec1e2526bd529249b2831a5223fed654cd58 3878134 linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 8e74fb08a404b77dcb5fc91b91543dade6426a5209e11dd793599e7be37e854f 28405666 linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 73d1cb06515bda7543365ad0e37d59ca6ef962b09275f47fb67c69d4c87ea34f 438944014 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 f1872ab39a7c30ba026aac3b121afeac100adc64cb3e3a239b9ea76292235af9 532292 linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 f21102af37865685fe904d8c6052807e9133917e14e42f36ba11e99bd26bc1c9 3929800 linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 954d1fc3683823d3317deaf16820f39481e186f1538db0d50933d21fa99f829b 127764 linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 1085ae57a29ee9490ac63df3b19fbf7753972c3d2fb2b54329edd9c191545269 127792 linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 8f7ec0d1bd18125804c16e60bced5f4370d9c72196f10cf3c8d1de04e17993f8 824320 linux-libc-dev_2.6.32-13_amd64.deb
 6c3ac91311b596c1b908ac346bcf1619523b3e3c79e690450c16e384f6807ab5 28320798 linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 6564b26277069bdae63e175b8e7bafd45576f09d7c92c705991cfab1820947cc 380616050 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 a2c57e7fb7d26b2d90c3adc655e1996e662db1febec917c427e23cf34ac1d1ba 507398 linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 ad7002382157070806783fab71e86f040653dec4ca07f9d6c486357d8698896f 3911184 linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 53b1bda725b1c6d8f913842ed22a02926b9ee8be3f3648285a8a094525a43e15 28358824 linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 94e289bcdc3b8543223f2c8d9a4e4f9a9d17058eb61dd8aa84463a03fc6634cd 373481778 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 7b9a6bba90f038c79d83f383e5d42f4da1c44443833b9b24720eabf59bbed3aa 508276 linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 2358f92a28393b612d63e5c32e9f37eacea584bb555a14d7c7ea25583e1cea77 127760 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 bbbed4f1bbf24a4fd4f137d68edd4ab37168627e31063cb3465689fe6fe117fd 3899120 linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
Files: 
 93cdc5b2d6a81ca19bd1b51ed15b7858 6276 kernel optional linux-2.6_2.6.32-13.dsc
 7b7ea740005b9315a58d74cdf05a30fa 8631684 kernel optional linux-2.6_2.6.32-13.diff.gz
 4be431fdc21912bab2a96ea4eb99fc16 6033068 doc optional linux-doc-2.6.32_2.6.32-13_all.deb
 a8ab48a59caaf21418b04ccb4e04857d 2706044 doc optional linux-manual-2.6.32_2.6.32-13_all.deb
 394310cfab79db9621dfcb58f7c0753a 2801400 kernel optional linux-patch-debian-2.6.32_2.6.32-13_all.deb
 bce422f58b18ccc9a29c0f5819ff2b05 64339944 kernel optional linux-source-2.6.32_2.6.32-13_all.deb
 e2229b2f7262e84cfdaea716bd60f389 143778 devel optional linux-support-2.6.32-5_2.6.32-13_all.deb
 22ae46fa41adfe03989912f3fd9469d2 132758 kernel optional firmware-linux-free_2.6.32-13_all.deb
 8c560c2beaefbb81c2cea7c1d1887dc4 148448 kernel optional linux-base_2.6.32-13_all.deb
 96e01eafb4036cacb5f7612a62890038 28261390 kernel optional linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 7e14c82406738fdc627bab21061b4cf9 371532144 debug extra linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 e5c1ba05bb32686d2b13ee84a5810f2c 506076 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 475e76f3302c8d237f966eeb036a4bc7 3878134 kernel optional linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 c558da499f65a2f439ff62cc098cde33 28405666 kernel optional linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 10af62ad3b2193312d3283d4b893931f 438944014 debug extra linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 0388bf62bdb2e6d95261fef31079e0db 532292 kernel optional linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 9d3327157da1cd201ac120183aa30ca3 3929800 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 465fff10ea5c67fc45891aedb820fae7 127764 kernel optional linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 3d16e272b43fd24049f395c3397602dc 127792 kernel optional linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 d40edd50262da18eac1860e56c88e1ae 824320 devel optional linux-libc-dev_2.6.32-13_amd64.deb
 97e93036b5e41b15aa3b9fac871b61a6 28320798 kernel optional linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 1a904f83048267626d0200a81ec4978e 380616050 debug extra linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 b545213c85ca9d85e618962b716fa878 507398 kernel optional linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 5c23a91476f0d12ab06bd46e033c0518 3911184 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 ca4f364b05b461c5c024aa93fa1d797e 28358824 kernel optional linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 129e390d94ee49e4a128306216daa033 373481778 debug extra linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 a7348ad1ea57b0d4d3c0a68be0c1d053 508276 kernel optional linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 6d080c9e1dc81287b87c1f837738a179 127760 kernel optional xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 b4182d9b98d8c1d1042f49f982dbb0e3 3899120 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkvxuUYACgkQeW7Lc5tEHqjESgCgz5vSikpRpz/oJrR9mvb33a07
fdoAoJkmSzsHLvci/krFKy60TxbkLEq2
=8CSa
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 20 May 2010 08:09:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Jul 2010 07:43:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:21:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.